<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="scicos_link">
  <refnamediv>
    <refname>scicos_link</refname>
    <refpurpose>Define a link structure</refpurpose>
  </refnamediv>
  <refsection id="Module_scicos_link">
    <title>Module</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="scicos_manual">Scicos</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="link_scicos_link">
    <title>link</title>
    <para>
Size : 8.
</para>
    <para>
Type : scilab list.
</para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">xx</emphasis>
        </para>
        <para> Vector of x coordinates of the link path.</para>
        <para> A link is defined as a polyline line.</para>
        <para> 
Size : number of points of the link.
</para>
        <para>
Type : column vector of real numbers.
</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">yy</emphasis>
        </para>
        <para> Vector of y coordinates of the link path.</para>
        <para> A link is defined as a polyline line.</para>
        <para> 
Size : number of points of the link.
</para>
        <para>
Type : column vector of real numbers.
</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">id</emphasis>
        </para>
        <para> Character string, the link identification.</para>
        <para> 
Size : 1.
</para>
        <para>
Type : string.
</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">thick</emphasis>
        </para>
        <para> Vector of size two defining line thickness.</para>
        <para> 
Size : 2.
</para>
        <para>
Type : row vector of integers.
</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">ct</emphasis>
        </para>
        <para> The first entry of this vector designates the color, and the second, the nature of the link. The second entry is 1 for a regular link, -1 for an activation link, and 2 for an implicit link.</para>
        <para> 
Size : 2.
</para>
        <para>
Type : row vector of integers.
</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">from</emphasis>
        </para>
        <para> Vector of size three including the block number, port number, and port type (0 for output, 1 for input) at the origin of the link. Note that the third entry may be 1 if the link is implicit; otherwise it is zero.</para>
        <para> 
Size : 3.
</para>
        <para>
Type : row vector of integers.
</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">to</emphasis>
        </para>
        <para> Vector of size three including the block number, port number, and port type (0 for output, 1 for input) at the destination of the link. Note that the third entry may be 1 if the link is implicit; otherwise it is zero.</para>
        <para> 
Size : 3.
</para>
        <para>
Type : row vector of integers.
</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Filecontent_scicos_link">
    <title>File content</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos/macros/scicos_scicos/scicos_link.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
